struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashish Kulkarni" <ashish.kulkarn...@gmail.com>
Subject Re: Struts and Weblogic 10.0 issue
Date Tue, 28 Aug 2007 20:02:21 GMT
Hi
It seems that weblogic console application may have error installing
application developed using struts, i was able to deploy the application
using command on dos

Ashish

On 8/28/07, Ashish Kulkarni <ashish.kulkarni13@gmail.com> wrote:
>
> Hi
> This is an existing application, which was running on websphere and
> tomcat, and now have to installed on weblogic 10.0
> So what is the work around, to get this application installed and running
> on weblogic,
> I got the error when installing this application on weblogic
>
> Ashish
>
> On 8/28/07, John Liptak <nabble@biwabik.net> wrote:
> >
> >
> > Weblogic 9+ includes struts with weblogic, so you may not be running
> > 1.2.6
> > unless you have taken care to preferr your applications classes over the
> > standard version.  To read more, look at
> > http://e-docs.bea.com/wls/docs90/programming/classloading.html#1082452
> >
> > While there isn't 10 specific information on this page, the general
> > struts
> > support information is at
> >
> > http://support.bea.com/application_content/product_portlets/support_patterns/wls/InvestigatingStrutsWithWebLogicServerPattern.html#Debugging_the_WebLogic_Classloader
> >
> > Another possibility is that wls 10 is using a different XML parser that
> > is
> > catching an error that was not caught before.
> >
> > It looks like you are getting the exception during install
> > (correct?).  I
> > would try turning off jsp pre-compilation for your application and try
> > and
> > get the error at runtime, vs. application deployment.
> >
> > Other than that, can you show the input field that is causing the
> > exception?
> >
> >
> > Ashish Kulkarni-2 wrote:
> > >
> > > Hi
> > > Has anybody run into problem installting struts based web application
> > on
> > > Weblogic 10.0?
> > > I have a struts application using struts 1.2.6, which i am trying to
> > > install
> > > on weblogic and i keep getting the following error
> > > This application works fine in Websphere, tomcat, Sun
> > >
> > > Error opening /jsp/app/install/Identity.jsp.
> > > The source of this error is javax.servlet.ServletException:
> > > javax.xml.transform.TransformerException:
> > > javax.xml.transform.TransformerException :
> > > com.sun.org.apache.xml.internal.utils.WrappedRuntimeException: Element
> > > type
> > > "input" must be followed by either attribute specifications, ">" or
> > "/>".
> > > at
> > > weblogic.servlet.jsp.PageContextImpl.handlePageException(
> > > PageContextImpl.java:418) at jsp_servlet._jsp._app._install.
> > >
> > >
> > > Ashish
> > >
> > >
> >
> > --
> > View this message in context:
> > http://www.nabble.com/Struts-and-Weblogic-10.0-issue-tf4341662.html#a12368101
> > Sent from the Struts - User mailing list archive at Nabble.com.
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> > For additional commands, e-mail: user-help@struts.apache.org
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message